Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLASD8

    java.lang.Object
      org.netlib.lapack.SLASD8

    public class SLASD8

extends java.lang.Object

    SLASD8 is a simplified interface to the JLAPACK routine slasd8.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASD8 finds the square roots of the roots of the secular equation,
     *  as defined by the values in DSIGMA and Z. It makes the appropriate
     *  calls to SLASD4, and stores, for each  element in D, the distance
     *  to its two nearest poles (elements in DSIGMA). It also updates
     *  the arrays VF and VL, the first and last components of all the
     *  right singular vectors of the original bidiagonal matrix.
     *
     *  SLASD8 is called from SLASD6.
     *
     *  Arguments
     *  =========
     *
     *  ICOMPQ  (input) INTEGER
     *          Specifies whether singular vectors are to be computed in
     *          factored form in the calling routine:
     *          = 0: Compute singular values only.
     *          = 1: Compute singular vectors in factored form as well.
     *
     *  K       (input) INTEGER
     *          The number of terms in the rational function to be solved
     *          by SLASD4.  K >= 1.
     *
     *  D       (output) REAL array, dimension ( K )
     *          On output, D contains the updated singular values.
     *
     *  Z       (input) REAL array, dimension ( K )
     *          The first K elements of this array contain the components
     *          of the deflation-adjusted updating row vector.
     *
     *  VF      (input/output) REAL array, dimension ( K )
     *          On entry, VF contains  information passed through DBEDE8.
     *          On exit, VF contains the first K components of the first
     *          components of all right singular vectors of the bidiagonal
     *          matrix.
     *
     *  VL      (input/output) REAL array, dimension ( K )
     *          On entry, VL contains  information passed through DBEDE8.
     *          On exit, VL contains the first K components of the last
     *          components of all right singular vectors of the bidiagonal
     *          matrix.
     *
     *  DIFL    (output) REAL array, dimension ( K )
     *          On exit, DIFL(I) = D(I) - DSIGMA(I).
     *
     *  DIFR    (output) REAL array,
     *                   dimension ( LDDIFR, 2 ) if ICOMPQ = 1 and
     *                   dimension ( K ) if ICOMPQ = 0.
     *          On exit, DIFR(I,1) = D(I) - DSIGMA(I+1), DIFR(K,1) is not
     *          defined and will not be referenced.
     *
     *          If ICOMPQ = 1, DIFR(1:K,2) is an array containing the
     *          normalizing factors for the right singular vector matrix.
     *
     *  LDDIFR  (input) INTEGER
     *          The leading dimension of DIFR, must be at least K.
     *
     *  DSIGMA  (input) REAL array, dimension ( K )
     *          The first K elements of this array contain the old roots
     *          of the deflated updating problem.  These are the poles
     *          of the secular equation.
     *
     *  WORK    (workspace) REAL array, dimension at least 3 * K
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  if INFO = 1, an singular value did not converge
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ming Gu and Huan Ren, Computer Science Division, University of
     *     California at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLASD8()`

Method Summary
`static void` | `SLASD8(int icompq, int k, float[] d, float[] z, float[] vf, float[] vl, float[] difl, float[][] difr, float[] dsigma, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLASD8

    public SLASD8()

Method Detail

### SLASD8

    public static void SLASD8(int icompq,
                              int k,
                              float[] d,
                              float[] z,
                              float[] vf,
                              float[] vl,
                              float[] difl,
                              float[][] difr,
                              float[] dsigma,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD